Subject: bug#9874: Fixes for several integer overflow and width issues

From: Paul Eggert <[email-masked]>
Date: Wed, 26 Oct 2011 23:33:11 -0700

On 10/26/11 07:09, Stefan Monnier wrote:
> Thank you very much

You're welcome.

> we're too far in the release process for such large patches

OK, I'll hold off until after the release.

To follow up on two of the other comments:

* The problem with (signal-process 4294967295 1) also occurred
  with (signal-process -1 1), so it's true that that spectacular
  failure wasn't all Emacs's fault.  (I have since upgraded to
  Fedora 15 and have been too chicken to try out the test case
  in my new environment....)

* File descriptors are small ints on platforms I regularly use,
  but POSIX doesn't guarantee this assumption.  Removing the assumption
  added two lines of code.  It's not a big deal either way.